Package org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.ExclusiveGroupInstance

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.ExclusiveGroupInstance

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`, `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`
  Enclosing class:
    JBPMMessages.ProcessInstance

      public static final class JBPMMessages.ProcessInstance.ExclusiveGroupInstance
      extends com.google.protobuf.GeneratedMessageV3
      implements JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | Protobuf type `org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `GROUP_NODE_INSTANCE_ID_FIELD_NUMBER` |
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `PARSER` | Deprecated.

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getDefaultInstance()` |
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `long` | `getGroupNodeInstanceId​(int index)` | `repeated int64 group_node_instance_id = 1;`
    `int` | `getGroupNodeInstanceIdCount()` | `repeated int64 group_node_instance_id = 1;`
    `List<Long>` | `getGroupNodeInstanceIdList()` | `repeated int64 group_node_instance_id = 1;`
    `com.google.protobuf.Parser<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getParserForType()` |
    `int` | `getSerializedSize()` |
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
    `int` | `hashCode()` |
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `newBuilder()` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `newBuilder​(JBPMMessages.ProcessInstance.ExclusiveGroupInstance prototype)` |
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `newBuilderForType()` |
    `protected JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
    `protected Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseDelimitedFrom​(InputStream input)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(byte[] data)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(InputStream input)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(ByteBuffer data)` |
    `static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `parser()` |
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `toBuilder()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

- - ### Field Detail

    - #### GROUP_NODE_INSTANCE_ID_FIELD_NUMBER

          public static final int GROUP_NODE_INSTANCE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final com.google.protobuf.Parser<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> PARSER

      Deprecated.

  - ### Method Detail

    - #### newInstance

          protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

      Overrides:
        `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getGroupNodeInstanceIdList

          public List<Long> getGroupNodeInstanceIdList()

      `repeated int64 group_node_instance_id = 1;`
      Specified by:
        `getGroupNodeInstanceIdList` in interface `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`
      Returns:
        A list containing the groupNodeInstanceId.

    - #### getGroupNodeInstanceIdCount

          public int getGroupNodeInstanceIdCount()

      `repeated int64 group_node_instance_id = 1;`
      Specified by:
        `getGroupNodeInstanceIdCount` in interface `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`
      Returns:
        The count of groupNodeInstanceId.

    - #### getGroupNodeInstanceId

          public long getGroupNodeInstanceId​(int index)

      `repeated int64 group_node_instance_id = 1;`
      Specified by:
        `getGroupNodeInstanceId` in interface `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The groupNodeInstanceId at the given index.

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(ByteBuffer data)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(ByteBuffer data,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(com.google.protobuf.ByteString data)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(com.google.protobuf.ByteString data,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(byte[] data)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(byte[] data,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(InputStream input)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(InputStream input,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseDelimitedFrom​(InputStream input)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseDelimitedFrom​(InputStream input,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(com.google.protobuf.CodedInputStream input)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder newBuilder()

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder newBuilder​(JBPMMessages.ProcessInstance.ExclusiveGroupInstance prototype)

    - #### toBuilder

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstance

          public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`